module ProductManagement
  class ProductCategory < ActiveRecord::Base
    belongs_to :parent, :class_name => '::ProductManagement::ProductCategory'
    belongs_to :image, :class_name => '::AssetManagement::AssetData'

    has_many :products, :class_name => '::ProductManagement::Product'
    has_many :product_category_descriptions, :class_name => '::ProductManagement::ProductCategoryDescription'

    #----------------------------------------------------------------------------

    #attr_accessible :name

    #----------------------------------------------------------------------------

    validates :name, :presence => true

    #----------------------------------------------------------------------------

    def to_s
      name
    end
  end
end
