if Gem.loaded_specs.keys.include?('crud')

  # Code extensions
  module Crud
  end

  # Initialisation
  Crud.setup do |config|
    # Set model path
    config.model_path << File.join(::ProductManagement::Engine.root, 'app', 'models')

    # Column settings
    #config.column_settings << {
    #  :class => :all,
    #  :hidden_fields => [:id, :created_at, :updated_at],
    #  :only => [:index, :show],
    #}

    #config.column_settings << {
    #  :class => '::AccountsManagement::Ledgers::LedgerEntry',
    #  :hidden_fields => [:direction],
    #  :only => [:index, :show ],
    #}

    # Custom fields
    config.custom_fields << {
      :class => '::ProductManagement::Product',
      :only => [:index, :show],
      :column_name => 'unit_price',
      :column_replacement => true,
      :partial => 'partials/product_unit_price', :record_data_parameter => 'product'
    }

    config.custom_fields << {
      :class => '::ProductManagement::Product',
      :only => [:index, :show],
      :column_name => 'recurring_fee',
      :column_replacement => true,
      :partial => 'partials/product_recurring_fee', :record_data_parameter => 'product'
    }

  end

end
