ProductManagement::Engine.routes.draw do
  get 'dashboard' => 'dashboard#index'

  # Mount dependent engines if they are not directly mounted by the application (Gemfile or routes.rb)
  # - the assumption is that the application will handle the mount path
  # - we must handle non-deterministic load/mount order of dependent engines
  [:core_models, :asset_management].each do |engine|
    #unless Rails.application.config.eager_load_namespaces.include?("#{engine.capitalize}::Engine".constantize.class)
    #unless Rails.application.routes.named_routes.routes.keys.include?(engine)
    unless Rails.application.routes.named_routes.key?(engine)
      mount "::#{engine.to_s.camelize}::Engine".constantize => "/#{engine.to_s}", :as => engine
    end
  end

  root :to => "dashboard#index"
end
