class CreateProductManagementProducts < ActiveRecord::Migration[4.2]
  def change
    create_table :product_management_products do |t|
      t.references :company
      t.string :gtin
      t.references :product_type
      t.string :name
      t.string :model
      t.references :image
      t.references :master_category
      t.float :quantity
      t.boolean :is_mixed_quantity
      t.decimal :unit_price
      t.decimal :recurring_fee
      t.integer :recurring_fee_interval_count
      t.references :recurring_fee_interval_unit
      t.references :currency
      t.boolean :price_includes_tax
      t.boolean :is_priced_by_attribute
      t.boolean :virtual
      t.boolean :is_free
      t.boolean :is_call_for_price
      t.boolean :is_always_free_shipping
      t.datetime :date_available
      t.float :weight
      t.string :weight_prefix
      t.string :weight_suffix
      t.references :status
      t.integer :sort_order
      t.boolean :quantity_box_status
      t.references :tax_class
      t.references :manufacturer
      t.float :quantity_ordered
      t.float :min_order_quantity
      t.float :max_order_quantity
      t.float :order_quantity_units

      t.timestamps :null => false
    end

    add_index :product_management_products, :product_type_id
    add_index :product_management_products, :master_category_id
    add_index :product_management_products, :currency_id
    add_index :product_management_products, :status_id
    add_index :product_management_products, :tax_class_id
  end
end
