class CreateProductManagementProductAttributes < ActiveRecord::Migration[4.2]
  def change
    create_table :product_management_product_attributes do |t|
      t.references :product
      t.references :product_option
      t.boolean :is_a_required_attribute
      t.references :product_option_value
      t.decimal :option_value_price
      t.references :currency
      t.boolean :is_included_in_base_price
      t.decimal :price_factor
      t.decimal :price_factor_offset
      t.string :price_quantity
      t.decimal :onetime_price
      t.decimal :onetime_price_factor
      t.decimal :onetime_price_factor_offset
      t.string :onetime_price_quantity
      t.integer :sort_order
      t.boolean :is_free
      t.float :weight
      t.string :weight_prefix
      t.string :weight_suffix
      t.boolean :is_for_display_only
      t.boolean :is_a_default_attribute
      t.boolean :is_discounted
      t.references :image

      t.timestamps :null => false
    end

    add_index :product_management_product_attributes, :product_id
    add_index :product_management_product_attributes, :product_option_id, :name => 'index_product_attributes_on_product_option_id'
    add_index :product_management_product_attributes, :product_option_value_id, :name => 'index_product_attributes_on_product_option_value_id'
    add_index :product_management_product_attributes, :currency_id
    add_index :product_management_product_attributes, [:product_id, :product_option_id, :product_option_value_id], :name => 'index_product_attributes_on_product_option_values'
    add_index :product_management_product_attributes, :sort_order
  end
end
