class CreateProductManagementProductCategories < ActiveRecord::Migration[4.2]
  def change
    create_table :product_management_product_categories do |t|
      t.references :parent
      t.integer :sort_order
      t.references :image
      t.integer :status

      t.timestamps :null => false
    end

    add_index :product_management_product_categories, :parent_id
    add_index :product_management_product_categories, [:id, :parent_id], :name => 'index_product_categories_on_id_and_parent_id'
    add_index :product_management_product_categories, [:status]
    add_index :product_management_product_categories, [:sort_order]
  end
end
