class CreateProductManagementProductCategoryDescriptions < ActiveRecord::Migration[4.2]
  def change
    create_table :product_management_product_category_descriptions do |t|
      t.string :name
      t.text :description
      t.references :category
      t.references :language

      t.timestamps :null => false
    end

    add_index :product_management_product_category_descriptions, :category_id, :name => 'index_product_category_descriptions_on_category_id'
    add_index :product_management_product_category_descriptions, :language_id, :name => 'index_product_category_descriptions_on_language_id'
    add_index :product_management_product_category_descriptions, [:category_id, :language_id], :name => 'index_product_category_descriptions'
  end
end
