class CreateProductManagementProductOptions < ActiveRecord::Migration[4.2]
  def change
    create_table :product_management_product_options do |t|
      t.references :language
      t.string :name
      t.integer :sort_order
      t.references :option_type
      t.integer :length
      t.text :comment
      t.integer :size
      t.integer :images_per_row
      t.references :image_style
      t.integer :rows

      t.timestamps :null => false
    end

    add_index :product_management_product_options, :name, :unique => true
    add_index :product_management_product_options, :language_id
    add_index :product_management_product_options, :option_type_id
    add_index :product_management_product_options, :image_style_id
  end
end
